<?php

class cTrabajador{



	function insertar($nom, $ape, $dni, $tel, $cor, $car, $sue, $est){

		$sql = "INSERT into tb_trabajador(

		tb_trabajador_nom,

		tb_trabajador_ape,

		tb_trabajador_dni,

		tb_trabajador_tel,

		tb_trabajador_corr,

		tb_cargo_id,

		tb_trabajador_sue,

		tb_trabajador_est

		) 

		values ('$nom', '$ape', '$dni', '$tel', '$cor', '$car', '$sue', '$est')";

		$oCado = new Cado();

		$rst = $oCado->ejecute_sql($sql);

		return $rst;

	}

	function editar($nom, $ape, $dni, $tel, $cor, $car, $sue, $est, $trabid){

		$sql = "UPDATE tb_trabajador set 

		tb_trabajador_nom ='$nom',

		tb_trabajador_ape ='$ape',

		tb_trabajador_dni ='$dni',

		tb_trabajador_tel ='$tel',

		tb_trabajador_corr ='$cor',

		tb_cargo_id ='$car',

		tb_trabajador_sue ='$sue',

		tb_trabajador_est ='$est' 

		where tb_trabajador_id = '$trabid' ";

		$oCado = new Cado();

		$rst = $oCado->ejecute_sql($sql);

		return $rst;

	}

	

	

		function ultimoInsert(){

		$sql = "SELECT last_insert_id()"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

		}

	

	

	function complete_nom($dato){

		$sql="SELECT * FROM tb_trabajador

			WHERE tb_trabajador_nom LIKE '%$dato%' OR tb_trabajador_ape LIKE '%$dato%'

			LIMIT 0,12

			";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;		  

	}

	

	function filtrar($nombre,$est)

	{

		$sql = "SELECT * from tb_trabajador t 

				inner join tb_cargo c on t.tb_cargo_id = c.tb_cargo_id

				WHERE tb_trabajador_xac=1";



		if($nombre!="")$sql.=" AND t.tb_trabajador_nom LIKE '$nombre' ";

		if($est>0)$sql.=" AND t.tb_trabajador_est = '$est' ";



		$oCado = new Cado();

		$rst = $oCado->ejecute_sql($sql);

		return $rst;

	}

	function mostrarUno($vendedor_id){

		$sql = "SELECT * from tb_trabajador where tb_trabajador_id ='$vendedor_id'";

		$oCado = new Cado();

		$rst = $oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrarUno_Cod($cod){

		$sql = "SELECT * from tb_trabajador where tb_trabajador_cod ='$cod'"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

		}

	

	

	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_trabajador SET

		`tb_trabajador_$campo` =  '$valor' 

		WHERE tb_trabajador_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

}